Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server.renderers
Interface Renderer

All Known Implementing Classes:
  XmlRenderer, BaseRenderer

public interface Renderer

A Renderer creates a representation of a LibraryObject in a certain format.

For example, an HTML Renderer renders a LibraryObject as HTML; an XML Renderer renders a LibraryObject as XML. The rendered representation is read-only and non-persistent. It is accessed as an InputStream or a Reader.

Any LibraryObject can be rendered. Typically, the rendered representation is some combination of attribute values and static bytes or characters, according to the Renderer's algorithm. For Documents, the rendered representation may also include content.

Not every LibraryObject can be rendered by every Renderer. For example, a FolderItemRenderer might only be able to render Folders. A Renderer will throw an exception if requested to render a LibraryObject that it cannot handle.

Renderers must provide a constructor with the following signature: `Renderer(S_LibrarySession) throws IfsException`.

Method Summary
`java.io.Reader` | `renderAsReader(S_LibraryObject lo, java.util.Hashtable options)` Renders the specified LibraryObject as a Reader.
`java.io.InputStream` | `renderAsStream(S_LibraryObject lo, java.util.Hashtable options)` Renders the specified LibraryObject as an InputStream.

Method Detail

### renderAsStream

    public java.io.InputStream renderAsStream(S_LibraryObject lo,
                                              java.util.Hashtable options)
                                       throws IfsException

  Renders the specified LibraryObject as an InputStream.
  Parameters:
    `lo` - the object to be rendered
    `options` - any Renderer-specific options
  Returns:
    the InputStream
  Throws:
    `IfsException` - (IFS-12401) if the operation fails

### renderAsReader

    public java.io.Reader renderAsReader(S_LibraryObject lo,
                                         java.util.Hashtable options)
                                  throws IfsException

  Renders the specified LibraryObject as a Reader.
  Parameters:
    `lo` - the object to be rendered
    `options` - any Renderer-specific options
  Returns:
    the Reader
  Throws:
    `IfsException` - (IFS-12402) if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD